Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoIndexedLineSet Class Reference
[Nodes]

`#include <Inventor/nodes/SoIndexedLineSet.h>`

Inheritance diagram for SoIndexedLineSet:

List of all members.

## Detailed Description

The SoIndexedLineSet class is used to render and otherwise represent indexed lines.

The indexed counterpart of SoLineSet. Lines can specified using indices for coordinates, normals, materials and texture coordinates.

If no normals are supplied on the stack (or in the vertexProperty field), the lines will be rendered with lighting disabled.

For more information about line sets, see documentation in SoLineSet. For more information about indexed shapes, see documentation in SoIndexedShape and SoIndexedFaceSet.

## Public Member Functions
| SoIndexedLineSet (void)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
## Static Public Member Functions
void | initClass (void)
## Protected Member Functions
virtual | ~SoIndexedLineSet ()

## Constructor & Destructor Documentation

SoIndexedLineSet::SoIndexedLineSet | ( | void |  | ) |

| Constructor.

SoIndexedLineSet::~SoIndexedLineSet | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoIndexedLineSet::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoIndexedShape.

void SoIndexedLineSet::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoShape.

void SoIndexedLineSet::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

| Action method for the SoGetBoundingBoxAction. Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node. Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables. Reimplemented from SoShape.

void SoIndexedLineSet::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoShape.

The documentation for this class was generated from the following files:

- SoIndexedLineSet.h
- SoIndexedLineSet.cpp